## NAME

CURLOPT_DNS_SERVERS - set preferred DNS servers

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_DNS_SERVERS, char *servers);

## DESCRIPTION

Pass a char * that is the list of DNS servers to be used instead of the system default. The format of the dns servers option is:

host[:port][,host[:port]]...

For example:

192.168.1.100,192.168.1.101,3.4.5.6

## DEFAULT

NULL - use system default

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

This option requires that libcurl was built with a resolver backend that supports this operation. The c-ares backend is the only such one.

Added in 7.24.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, CURLE_NOT_BUILT_IN if support was disabled at compile-time, CURLE_BAD_FUNCTION_ARGUMENT when given an invalid server list, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_DNS_LOCAL_IP4, CURLOPT_DNS_CACHE_TIMEOUT

This HTML page was made with roffit.